Bug 1136846 - Cannot control Win7 guest sound volume using guest volume controller
Summary: Cannot control Win7 guest sound volume using guest volume controller
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer
Version: 3.5.0
Hardware: All
OS: Windows
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Victor Toso
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On: 1181289
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-03 12:18 UTC by Amador Pahim
Modified: 2019-11-14 06:33 UTC (History)
13 users (show)

Fixed In Version: mingw-virt-viewer-2.0-1.el7ev
Doc Type: Bug Fix
Doc Text:
Previously, users could not control a Windows 7 virtual machine's sound volume with the guest volume controls. This occurred because the Windows client's audio back-end (GStreamer) did not have mute and volume control capabilities for playback and record. This was fixed by updating GStreamer to version 1.0, and implementing volume and mute capabilities in the directsoundsrc element. Volume control on Windows virtual machines now works as expected.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:09:06 UTC
oVirt Team: Spice
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0377 0 normal SHIPPED_LIVE rhevm-spice-client bug fix and enhancement update 2016-03-10 00:39:05 UTC

Description Amador Pahim 2014-09-03 12:18:34 UTC
Using client volume control, I can control Guest sound volume, but I'm not able to control guest volume using guest volume controller in some envs: 

Unable to control sound volume inside the guest
- Client Win7, vier-viewer 0.5.6-25(rhev current) / Guest Win7, RHEV-Spice-Agent 4.11.2
- Client Win7, vier-viewer 1.0256(newest available msi) / Guest Win7, RHEV-Spice-Agent 4.11.2

But using client on Fedora20 or using a RHEL7 Guest, I can control guest sound volume inside the guest:
- Client Win7, vier-viewer 0.5.6-25 / Guest RHEL7
- Client Fedora20, virt-viewer-0.6.0-1.fc20.x86_64 / Guest Win7, RHEV-Spice-Agent 4.11.2

Comment 1 Marc-Andre Lureau 2014-09-03 12:36:13 UTC
The problems stems from the audio sink/src not implementing the GstStreamVolume interface.

In >1.0, directsoundsink implements it, however directsoundsrc is still missing volume control.

Perhaps we should first rebase gstreamer to 1.x series, and fix directsoundsrc upstream.

this all sounds too late for 3.5

Comment 3 Victor Toso 2015-02-19 14:14:18 UTC
Just an update: Last upstream release of virt-viewer is using gstreamer1 and you can control guest playback audio inside the guest;

For the record audio (directsoundsrc), there is a patch upstream at:
https://bugzilla.gnome.org/show_bug.cgi?id=744383

Comment 4 Victor Toso 2015-04-01 08:18:10 UTC
The patch for directsoundsrc element is now upstream.

Closing this bug as NEXTRELEASE as this patch should be available in next virt-viewer windows release.

If you find any problems related to volume control, please open a new bug for it.

Comment 5 Victor Toso 2015-04-01 08:46:28 UTC
Closing as NEXTRELEASE is not right. Sorry. Moving it to POST.

The bz for directsoundsrc fix is
https://bugzilla.gnome.org/show_bug.cgi?id=744383

The patch is upstream on gst-plugins-bad hash
1b564bfb8b0db43a24cf311dca24038558b80a68

It should be included in version 1.4.6

Comment 10 errata-xmlrpc 2016-03-09 20:09:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0377.html


Note You need to log in before you can comment on or make changes to this bug.